function invertATicTacToeBoard(boardMarks)
% invertATicTacToeBoard([boardMarks]):
% Uses the ``inversionAnimation'' routine to show the inversion
% of a tic-tac-toe board.
% boardMarks (optional): a 3x3 matrix indicating the mark in each
% square on the board.  A positive number means X, a negative means
% O, and zero means an empty square.
radius = 3;
domain = (0:1/100:1)';
curves = {inline('rectToPolar(-.5,-1.5+3*t)','t'), inline('rectToPolar(.5,-1.5+3*t)','t'), inline('rectToPolar(-1.5+3*t,-.5)','t'), inline('rectToPolar(-1.5+3*t,.5)','t')};
numCurvesNow = 4;
if nargin >= 1
    for row = 1:3
        x = row - 2;
        for col = 1:3
            y = col - 2;
            if boardMarks(row,col) > 0
                numCurvesNow = numCurvesNow + 1;
                curves{numCurvesNow} = inline(['rectToPolar(' num2str(x,1) '-.3+.6*t, ' num2str(y,1) '-.3+.6*t)'],'t');
                numCurvesNow = numCurvesNow + 1;
                curves{numCurvesNow} = inline(['rectToPolar(' num2str(x,1) '-.3+.6*t, ' num2str(y,1) '+.3-.6*t)'],'t');
            else
                if boardMarks(row,col) < 0
                    numCurvesNow = numCurvesNow + 1;
                    curves{numCurvesNow} = inline(['rectToPolar(.3*cos(t*2*pi)+' num2str(x,1) ', .3*sin(t*2*pi)+' num2str(y,1) ')'],'t');
                end
            end
        end
    end
end
inversionAnimation(radius, domain, curves);